# Interface TextProvider

@Incubating public interface TextProvider
Provides access to the content of a generated text file.

## Method Summary

Modifier and Type
Method
Description
`StringBuilder`
`asBuilder()`
Get the content as a `StringBuilder`, permitting direct modification.
`String`
`getText()`
The text content.
`void`
`setText(String value)`
Replace the content.

## Method Details

### getText

String getText()
The text content.

### setText

void setText(String value)
Replace the content.

### asBuilder

StringBuilder asBuilder()
Get the content as a `StringBuilder`, permitting direct modification.